/*********************************************************************
*                SEGGER Microcontroller GmbH & Co. KG                *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2012  SEGGER Microcontroller GmbH & Co. KG       *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************

** emWin V5.18 - Graphical user interface for embedded applications **
All  Intellectual Property rights  in the Software belongs to  SEGGER.
emWin is protected by  international copyright laws.  Knowledge of the
source code may not be used to write a similar product.  This file may
only be used in accordance with the following terms:

The software has been licensed to  NXP Semiconductors USA, Inc.  whose
registered  office  is  situated  at  1109 McKay Dr, M/S 76, San Jose, 
CA 95131, USA  solely for  the  purposes  of  creating  libraries  for 
NXPs M0, M3/M4 and  ARM7/9 processor-based  devices,  sublicensed  and
distributed under the terms and conditions of the NXP End User License
Agreement.
Full source code is available at: www.segger.com

We appreciate your understanding and fairness.
----------------------------------------------------------------------
File        : GUI_TOUCH_X.C
Purpose     : Config / System dependent externals for GUI
---------------------------END-OF-HEADER------------------------------
*/

#include "GUI.h"
#include "TouchPanel.h"
GUI_PID_STATE tc;
void GUI_TOUCH_X_ActivateX(void) {
//	TP_Init();
}

void GUI_TOUCH_X_ActivateY(void) {
//	TP_Init();

}

int  GUI_TOUCH_X_MeasureX(void) {
//	Read_X();
	GUI_TOUCH_GetState(&tc);
  return tc.x;
}

int  GUI_TOUCH_X_MeasureY(void) {
	GUI_TOUCH_GetState(&tc);
return tc.y	;
}



/*
extern  int xPhys, yPhys;
int CalibrationComplete = 0;

void GUI_TOUCH_Measure(void) {
    Coordinate * Ptr;

	xPhys = -1; yPhys = -1;

    Ptr = Read_Ads7846();

	if( Ptr != (void*)0 )
	{
	  xPhys = Ptr->x;
	  yPhys = Ptr->y;  
	}
}
*/

